import sys, string, os, win32com.client
from MetaReplace import *
# Create the Geoprocessor object
GP = win32com.client.Dispatch("esriGeoprocessing.GpDispatch.1")

Input_FCs = sys.argv[1]
Template_Location = sys.argv[2]
Theme_Keywords = sys.argv[3]

Theme_Keywords = Theme_Keywords.replace("\'", "")
Theme_Keyword_List = Theme_Keywords.split(";")

Input_FC_List = Input_FCs.split(";")

for Input_FC in Input_FC_List:
    Input_FC_path_list = Input_FC.split("\\")
    fc = ""
    i = 0
    for item in Input_FC_path_list:
        if item.find(".mdb") <> -1:
            fc = Input_FC_path_list[i+2]
            j = i
            GP.AddMessage("Adding theme keywords to " + fc + ".txt...")
        i = i + 1

    i = 0   
    Metadata_Location = Input_FC_path_list[i]
    while i < j:
        if Metadata_Location <> Input_FC_path_list[i]:
            Metadata_Location = Metadata_Location + "\\" + Input_FC_path_list[i]
        i = i + 1
        
    meta_file = Metadata_Location + "\\" + fc + ".txt"

    for Theme_Keyword in Theme_Keyword_List:
        if GP.Exists(meta_file):
            AddThemeKeyword(meta_file, Template_Location, Theme_Keyword)
        else:
            GP.AddWarning("Metadata file " + meta_file + " does not exist!")
        